com.google.gwt.text.client

## Class NumberFormatRenderer

- java.lang.Object
- - com.google.gwt.text.shared.AbstractRenderer<java.lang.Number>
  - - com.google.gwt.text.client.NumberFormatRenderer

All Implemented Interfaces:
  Renderer<java.lang.Number>

    public class NumberFormatRenderer
    extends AbstractRenderer<java.lang.Number>

Renders `Number` objects with a `NumberFormat`.

### Constructor Summary

Constructors
Constructor and Description
`NumberFormatRenderer()` Create an instance using `NumberFormat.getDecimalFormat()`.
`NumberFormatRenderer(NumberFormat format)` Create an instance with the given format.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `render(java.lang.Number object)` Renders `object` as plain text.

### Methods inherited from class com.google.gwt.text.shared.AbstractRenderer

`render`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NumberFormatRenderer

    public NumberFormatRenderer()

Create an instance using `NumberFormat.getDecimalFormat()`.

#### NumberFormatRenderer

    public NumberFormatRenderer(NumberFormat format)

Create an instance with the given format.

### Method Detail

#### render

    public java.lang.String render(java.lang.Number object)

Description copied from interface: `Renderer`
Renders `object` as plain text. Should never throw any exceptions!